petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMCompositeGetAccessArray

Allows one to access the individual packed vectors in their global representation.

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGetAccessArray(DM dm,Vec pvec,PetscInt nwanted,const PetscInt *wanted,Vec *vecs)

Collective on DMComposite Many br

### Input Parameters

| dm | - the packer object Many br
| pvec | - packed vector Many br
| nwanted | - number of vectors wanted Many br
| wanted | - sorted array of vectors wanted, or NULL to get all vectors Many br

### Output Parameters

vecs -array of requested global vectors (must be allocated) Many br

Notes: Use DMCompositeRestoreAccessArray() to return the vectors when you no longer need them Many br

Many br

### See Also

DMCompositeGetAccess(), DMCompositeGetEntries(), DMCompositeScatter(), DMCompositeGather()

Level:advanced
Location:src/dm/impls/composite/pack.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages